#5 Lisp error: (error "Recursive `require' for feature `compile

closed-fixed
nobody
None
5
2010-01-16
2007-12-31
No

John Chandler [jmc@musrum.com]:

GNU Emacs 22.0.97.1 (powerpc-apple-darwin8.9.0, Carbon Version 1.6.0) of 2007-04-08 on g5.tokyo.stp.isas.jaxa.jp

jde-2.3.5.1
cedet-1.0pre4

Debugger entered--Lisp error: (error "Recursive `require' for feature `compile'")
require(compile)
byte-code(",A@A!?,ABCDEFGFH& ?" [require compile custom-declare-group grep nil "Run grep as inferior of Emacs, parse error messages." :group tools processes] 8)
(grep-compute-defaults)
(progn (grep-compute-defaults) grep-command)
(or grep-command (progn (grep-compute-defaults) grep-command))
(lambda (symbol) (or grep-command (progn ... grep-command)))(grep-command)
custom-initialize-reset(grep-command nil)
custom-declare-variable(grep-command nil ("/usr/share/emacs/21.2/lisp/progmodes/compile.elc" . 1921) :type string :get (lambda (symbol) (or grep-command (progn ... grep-command))) :group compilation)
require(compile)
byte-code(",A@A!?,ABCDEFGFH& ?" [require compile custom-declare-group grep nil "Run grep as inferior of Emacs, parse error messages." :group tools processes] 8)
(grep-compute-defaults)
(progn (grep-compute-defaults) grep-command)
(or grep-command (progn (grep-compute-defaults) grep-command))
(lambda (symbol) (or grep-command (progn ... grep-command)))(grep-command)
custom-initialize-reset(grep-command nil)
custom-declare-variable(grep-command nil ("/usr/share/emacs/21.2/lisp/progmodes/compile.elc" . 1921) :type string :get (lambda (symbol) (or grep-command (progn ... grep-command))) :group compilation)
require(compile)
byte-code(",A@A!?,ABCDEFGFH& ?" [require compile custom-declare-group grep nil "Run grep as inferior of Emacs, parse error messages." :group tools processes] 8)
(grep-compute-defaults)
(progn (grep-compute-defaults) grep-command)
(or grep-command (progn (grep-compute-defaults) grep-command))
(lambda (symbol) (or grep-command (progn ... grep-command)))(grep-command)
custom-initialize-reset(grep-command nil)
custom-declare-variable(grep-command nil ("/usr/share/emacs/21.2/lisp/progmodes/compile.elc" . 1921) :type string :get (lambda (symbol) (or grep-command (progn ... grep-command))) :group compilation)
require(compile)
byte-code(",A@A!?,ABCDEFGFH& ?" [require compile custom-declare-group grep nil "Run grep as inferior of Emacs, parse error messages." :group tools processes] 8)
(grep-compute-defaults)
(progn (grep-compute-defaults) grep-command)
(or grep-command (progn (grep-compute-defaults) grep-command))
(lambda (symbol) (or grep-command (progn ... grep-command)))(grep-command)
custom-initialize-reset(grep-command nil)
custom-declare-variable(grep-command nil ("/usr/share/emacs/21.2/lisp/progmodes/compile.elc" . 1921) :type string :get (lambda (symbol) (or grep-command (progn ... grep-command))) :group compilation)
require(compile)
eval-buffer(#<buffer *load*<2>> nil "/Users/jmc/tools/jde-2.3.5.1/lisp/jde-compile.el" nil t) ; Reading at buffer position 1427
load-with-code-conversion("/Users/jmc/tools/jde-2.3.5.1/lisp/jde-compile.el" "/Users/jmc/tools/jde-2.3.5.1/lisp/jde-compile.el" nil t)
require(jde-compile)
eval-buffer(#<buffer *load*> nil "/Users/jmc/tools/jde-2.3.5.1/lisp/jde.el" nil t) ; Reading at buffer position 2510
load-with-code-conversion("/Users/jmc/tools/jde-2.3.5.1/lisp/jde.el" "/Users/jmc/tools/jde-2.3.5.1/lisp/jde.el" nil t)
require(jde)
eval((require (quote jde)))
eval-last-sexp-1(nil)
eval-last-sexp(nil)
call-interactively(eval-last-sexp)

Discussion

  • Paul Landes

    Paul Landes - 2010-01-16
    • status: open --> closed-fixed
     
  • Paul Landes

    Paul Landes - 2010-01-16

    Fixed in jde.el per the last release.

     

Log in to post a comment.